Bug 76873 - gweather-applet-2 shows large radar maps incorrectly
Summary: gweather-applet-2 shows large radar maps incorrectly
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-28 15:48 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-20 02:24:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot -- gweather-applet-2 incorrectly displays large radar map (50.89 KB, image/png)
2002-10-28 15:51 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-10-28 15:48:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Gweather-applet-2 fails to correctly display some radar maps.  Gweather-applet-2
allows the user to specify a custom address for a radar map.  If the radar map
specified by the user is too large, then the part of the image gets cut off. 
The large image also covers the "Visit Weather.com" button.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select 'preferences' for gweather-applet-2 
2. Under the 'General' tab, check the "Use custom address for radar map' and
insert a URL for a large radar image
3. Double click the panel icon for gweather-applet-2 and then click on the
'Radar map' tab.
	

Actual Results:  A large radar image is chopped off on the edges.

Expected Results:  A large radar image should be displayed correctly -- either
the window should increase in size to accomadate the image, or the image should
be scaled down to fit the window.

Additional info:

Comment 1 Need Real Name 2002-10-28 15:51:42 UTC
Created attachment 82384 [details]
screenshot -- gweather-applet-2 incorrectly displays large radar map

Comment 2 Need Real Name 2002-10-28 15:53:53 UTC
I've attached a screen shot illustrating the problem.  The URL for the radar map
shown in the screen shot is: 
http://weather.noaa.gov/radar/images/DS.p38cr/SI.krlx/latest.gif

Comment 3 Havoc Pennington 2002-10-28 17:49:21 UTC
Posted http://bugzilla.gnome.org/show_bug.cgi?id=97047

Comment 4 Havoc Pennington 2002-12-20 02:24:08 UTC
Moved upstream


Note You need to log in before you can comment on or make changes to this bug.